From 1f43bfb88879e47c44fca73242a4076e5c2a9fff Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 22 Apr 2025 13:40:18 +1000
Subject: [PATCH v3] DOCS - [option] should be [option...] and make it always
 first.

---
 doc/src/sgml/ref/pg_controldata.sgml | 2 +-
 doc/src/sgml/ref/pg_resetwal.sgml    | 2 +-
 doc/src/sgml/ref/pgupgrade.sgml      | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/doc/src/sgml/ref/pg_controldata.sgml b/doc/src/sgml/ref/pg_controldata.sgml
index b47fdca..0eb0abc 100644
--- a/doc/src/sgml/ref/pg_controldata.sgml
+++ b/doc/src/sgml/ref/pg_controldata.sgml
@@ -22,7 +22,7 @@ PostgreSQL documentation
  <refsynopsisdiv>
   <cmdsynopsis>
    <command>pg_controldata</command>
-   <arg choice="opt"><replaceable class="parameter">option</replaceable></arg>
+   <arg rep="repeat" choice="opt"><replaceable class="parameter">option</replaceable></arg>
    <group choice="opt">
     <group choice="opt">
      <arg choice="plain"><option>-D</option></arg>
diff --git a/doc/src/sgml/ref/pg_resetwal.sgml b/doc/src/sgml/ref/pg_resetwal.sgml
index dd011d2..cd465e4 100644
--- a/doc/src/sgml/ref/pg_resetwal.sgml
+++ b/doc/src/sgml/ref/pg_resetwal.sgml
@@ -22,6 +22,7 @@ PostgreSQL documentation
  <refsynopsisdiv>
   <cmdsynopsis>
    <command>pg_resetwal</command>
+   <arg rep="repeat"><replaceable>option</replaceable></arg>
    <group choice="opt">
     <arg choice="plain"><option>-f</option></arg>
     <arg choice="plain"><option>--force</option></arg>
@@ -30,7 +31,6 @@ PostgreSQL documentation
     <arg choice="plain"><option>-n</option></arg>
     <arg choice="plain"><option>--dry-run</option></arg>
    </group>
-   <arg rep="repeat"><replaceable>option</replaceable></arg>
    <group choice="plain">
     <group choice="opt">
      <arg choice="plain"><option>-D</option></arg>
diff --git a/doc/src/sgml/ref/pgupgrade.sgml b/doc/src/sgml/ref/pgupgrade.sgml
index df13365..0a777ef 100644
--- a/doc/src/sgml/ref/pgupgrade.sgml
+++ b/doc/src/sgml/ref/pgupgrade.sgml
@@ -22,6 +22,7 @@ PostgreSQL documentation
  <refsynopsisdiv>
   <cmdsynopsis>
    <command>pg_upgrade</command>
+   <arg rep="repeat"><replaceable>option</replaceable></arg>
    <arg choice="plain"><option>-b</option></arg>
    <arg choice="plain"><replaceable>oldbindir</replaceable></arg>
    <arg choice="opt"><option>-B</option> <replaceable>newbindir</replaceable></arg>
@@ -29,7 +30,6 @@ PostgreSQL documentation
    <arg choice="plain"><replaceable>oldconfigdir</replaceable></arg>
    <arg choice="plain"><option>-D</option></arg>
    <arg choice="plain"><replaceable>newconfigdir</replaceable></arg>
-   <arg rep="repeat"><replaceable>option</replaceable></arg>
   </cmdsynopsis>
  </refsynopsisdiv>
 
-- 
1.8.3.1

